Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/piwik.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/piwik.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/piwik/piwik.service.ts	(revision 55964)
@@ -1,9 +1,10 @@
 import {Injectable} from '@angular/core';
 import {Http, Response, Headers, RequestOptions, URLSearchParams} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import {HttpClient} from "@angular/common/http";
+import {Observable}     from 'rxjs';
+
+
+
 import {Location} from '@angular/common';
 
 import {StringUtils} from '../string-utils.class';
@@ -13,7 +14,7 @@
 @Injectable()
 export class PiwikService {
     private piwikbaseUrl:string = "";
-    constructor(private http: Http, private location: Location ) {}
+    constructor(private http: HttpClient, private location: Location ) {}
 
     trackView (properties:EnvProperties, title, siteId = null):any {
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchOrps.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchOrps.class.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchOrps.class.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ErrorMessagesComponent}    from '../../utils/errorMessages.component';
 import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 import {DOI} from '../../utils/string-utils.class';
-import {Subject} from 'rxjs/Subject';
+import {Subject} from 'rxjs';
 import{EnvProperties} from '../../utils/properties/env-properties';
 import {StringUtils} from '../../utils/string-utils.class';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/orp/orp.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/orp/orp.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/orp/orp.component.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {OrpInfo}                  from '../../utils/entities/orpInfo';
 import {EnvProperties}                from '../../utils/properties/env-properties';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/organization/organization.component.ts	(revision 55964)
@@ -3,8 +3,7 @@
 import {ActivatedRoute, Router}         from '@angular/router';
 import {Title, Meta}                    from '@angular/platform-browser';
 
-import {Observable}                     from 'rxjs/Observable';
-import {Subject}                        from 'rxjs/Subject';
+import {Observable, Subject}                     from 'rxjs';
 
 import {OrganizationService}            from '../../services/organization.service';
 import {OrganizationInfo}               from '../../utils/entities/organizationInfo';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/project/project.component.ts	(revision 55964)
@@ -4,7 +4,7 @@
 import {Params}                       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {ProjectService}               from './project.service';
 import {ProjectInfo}                  from '../../utils/entities/projectInfo';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/publication/publication.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/publication/publication.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/publication/publication.service.ts	(revision 55964)
@@ -1,22 +1,15 @@
-
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {throwError} from 'rxjs';
 import {PublicationInfo} from '../../utils/entities/publicationInfo';
-import {DeletedByInferenceResult} from '../../utils/entities/deletedByInferenceResult';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
-import 'rxjs/add/operator/map';
-import{EnvProperties} from '../../utils/properties/env-properties';
+import {EnvProperties} from '../../utils/properties/env-properties';
+import {ParsingFunctions} from '../landing-utils/parsingFunctions.class';
+import {map} from "rxjs/operators";
 
-
-import { ParsingFunctions } from '../landing-utils/parsingFunctions.class';
-
 @Injectable()
 export class PublicationService {
 
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
     this.parsingFunctions = new ParsingFunctions();
   }
 
@@ -28,9 +21,9 @@
     let key = url;
 
     return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                .map(res => <any> res.json())
-                .map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity'], res])
-                .map(res => [ res[1]['oaf:result'], //0
+                //.map(res => <any> res.json())
+                .pipe(map(res => [res['result']['header']['dri:status'], res['result']['metadata']['oaf:entity'], res]))
+                .pipe(map(res => [ res[1]['oaf:result'], //0
                               res[1]['oaf:result']['title'],  //1
                               res[1]['oaf:result']['rels']['rel'],  //2
                               res[1]['oaf:result']['children'], //3
@@ -46,15 +39,15 @@
                               res[1]['oaf:result']['creator'],  //13
                               res[2], //14
                               res[1]['oaf:result']['country']  //15
-                ])
-                .map(res => this.parsePublicationInfo(res, properties));
+                ]))
+                .pipe(map(res => this.parsePublicationInfo(res, properties)));
   }
 
-  private handleError (error: Response) {
+  private handleError (error: HttpErrorResponse) {
   // in a real world app, we may send the error to some remote logging infrastructure
   // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return throwError(error  || 'Server error');
   }
 
   parsePublicationInfo (data: any, properties: EnvProperties):any {
@@ -378,8 +371,8 @@
 
     //return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
     return this.http.get(url)
-                .map(res => <any> res.json())
-                .map(res => [res['total'], this.parseOpenCitations(res['results'])]);
+                //.map(res => <any> res.json())
+                .pipe(map(res => [res['total'], this.parseOpenCitations(res['results'])]));
   }
 
   parseOpenCitations(openCitations: any): {"url": string, "title": string, "year": string, "doi": string, "authors": string[]}[] {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/software/software.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/software/software.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/landingPages/software/software.component.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {SoftwareService}              from './software.service';
 import {SoftwareInfo}                 from '../../utils/entities/softwareInfo';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entitiesAutoComplete/entitySearch.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entitiesAutoComplete/entitySearch.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/entitiesAutoComplete/entitySearch.service.ts	(revision 55964)
@@ -1,17 +1,19 @@
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpErrorResponse} from "@angular/common/http";
+import {Observable, throwError} from 'rxjs';
 import {AutoCompleteValue} from '../../searchPages/searchUtils/searchHelperClasses.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import{EnvProperties} from '../properties/env-properties';
 
 import {StringUtils} from '../string-utils.class';
+import {catchError, map} from "rxjs/operators";
 @Injectable()
 export class EntitiesSearchService {
     public ready:boolean = false;
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     searchProjectsByFunder(keyword:string, funderId:string, properties:EnvProperties ):any {
       this.ready = false;
@@ -30,7 +32,8 @@
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).toPromise()
       .then(request =>
         {
-          request = request.json().results;
+          //request = request.json().results;
+          request = request['results'];
           this.ready = true;
           return this.parse(request,"oaf:project","project");
         }).catch((ex) => {
@@ -71,7 +74,8 @@
         return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).toPromise()
         .then(request =>
           {
-            request = request.json().results;
+            //request = request.json().results;
+            request = request['results'];
             //console.log(request);
             this.ready = true;
             return this.parse(request,"oaf:organization","organization");
@@ -124,15 +128,16 @@
   this.ready = false;
   let url = link+"/"+id+"?format=json";
   return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-    .map(request => <any> request.json())
+    //.map(request => <any> request.json())
     // .do(res => console.info(res))
-    .map(request => {
+    .pipe(map(request => {
       this.ready = true;
       return this.parse(request,oafEntityType,type);
-    }).catch((ex) => {
+    }))
+    .pipe(catchError((ex) => {
       console.error('An error occured', ex);
       return  [{id:'-2',label:'Error'}];;
-    });
+    }));
 
 }
     private search (link,keyword,oafEntityType,type, properties:EnvProperties ){
@@ -154,7 +159,8 @@
       return this.http.get((properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url).toPromise()
                  .then(request =>
                    {
-                     request = request.json().results;
+                     //request = request.json().results;
+                     request = request['results'];
                      this.ready = true;
                      return this.parse(request,oafEntityType,type);
                    }).catch((ex) => {
@@ -266,10 +272,10 @@
         return array;
     }
 
-    private handleError (error: Response) {
+    private handleError (error: HttpErrorResponse) {
       // in a real world app, we may send the error to some remote logging infrastructure
       // instead of just logging it to the console
       console.log(error);
-      return Observable.throw(error  || 'Server error');
+      return throwError(error  || 'Server error');
     }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/directives/my-date-picker.input.auto.fill.directive.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/directives/my-date-picker.input.auto.fill.directive.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/my-date-picker/directives/my-date-picker.input.auto.fill.directive.ts	(revision 55964)
@@ -64,6 +64,8 @@
     }
 
     private setInputValue(val: string): void {
+      console.info(val);
         this.rndr.setElementProperty(this.el.nativeElement, "value", val);
+        //this.rndr.setProperty(this.el.nativeElement, "value", val);
     }
 }
\ No newline at end of file
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/helper/helper.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/helper/helper.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/helper/helper.component.ts	(revision 55964)
@@ -1,6 +1,6 @@
 import { Component, Input } from '@angular/core';
 import {ActivatedRoute} from '@angular/router';
-import 'rxjs/Rx';
+import 'rxjs';
 import {HelperService} from './helper.service';
 import{EnvProperties} from '../properties/env-properties';
 import {ConnectHelper} from '../../connect/connectHelper';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/utils/fetchEntitiesClasses/fetchPublications.class.ts	(revision 55964)
@@ -5,7 +5,7 @@
 import {SearchFields, FieldDetails} from '../../utils/properties/searchFields';
  import {SearchUtilsClass } from '../../searchPages/searchUtils/searchUtils.class';
 import {DOI} from '../../utils/string-utils.class';
-import {Subject} from 'rxjs/Subject';
+import {Subject} from 'rxjs';
 import{EnvProperties} from '../../utils/properties/env-properties';
 import {StringUtils} from '../../utils/string-utils.class';
 export class FetchPublications {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/app.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/app.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/app.component.ts	(revision 55964)
@@ -1,6 +1,6 @@
-import { Component, Directive, ElementRef, Renderer, ChangeDetectionStrategy, ViewEncapsulation } from '@angular/core';
+import { Component, Directive, ElementRef, Renderer2, ChangeDetectionStrategy, ViewEncapsulation } from '@angular/core';
 import { ConfigurationService } from './utils/configuration/configuration.service';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { EnvProperties } from './utils/properties/env-properties';
 import {ActivatedRoute} from '@angular/router';
 import{EnvironmentSpecificService} from './utils/properties/environment-specific.service';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/depositResult.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/depositResult.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/depositResult.component.ts	(revision 55964)
@@ -2,7 +2,7 @@
 import {Router,  ActivatedRoute}    from '@angular/router';
 import {Title, Meta}                from '@angular/platform-browser';
 
-import {Observable}                 from 'rxjs/Observable';
+import {Observable}                 from 'rxjs';
 import {ErrorCodes}                 from '../utils/properties/errorCodes';
 
 import{EnvProperties} from '../utils/properties/env-properties';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/datasets/depositBySubject.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/datasets/depositBySubject.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/datasets/depositBySubject.component.ts	(revision 55964)
@@ -2,7 +2,7 @@
 import {Router, ActivatedRoute}  from '@angular/router';
 import {Title, Meta}             from '@angular/platform-browser';
 
-import {Observable}              from 'rxjs/Observable';
+import {Observable}              from 'rxjs';
 
 import {EnvProperties} from '../../utils/properties/env-properties';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/datasets/depositBySubjectResult.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/datasets/depositBySubjectResult.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/datasets/depositBySubjectResult.component.ts	(revision 55964)
@@ -3,7 +3,7 @@
 import {ActivatedRoute}             from '@angular/router';
 import {Title, Meta}                from '@angular/platform-browser';
 
-import {Observable}                 from 'rxjs/Observable';
+import {Observable}                 from 'rxjs';
 
 import {EnvProperties}               from '../../utils/properties/env-properties';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/deposit.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/deposit.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/deposit/deposit.component.ts	(revision 55964)
@@ -2,7 +2,7 @@
 import {Router, ActivatedRoute}    from '@angular/router';
 import {Title, Meta}               from '@angular/platform-browser';
 
-import {Observable}                from 'rxjs/Observable';
+import {Observable}                from 'rxjs';
 
 import {EnvProperties}             from '../utils/properties/env-properties';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/adminLoginGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/adminLoginGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/adminLoginGuard.guard.ts	(revision 55964)
@@ -1,11 +1,19 @@
-import { Injectable } from '@angular/core';
-import {Router, CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, CanLoad, Route} from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Injectable} from '@angular/core';
+import {
+  Router,
+  CanActivate,
+  ActivatedRouteSnapshot,
+  RouterStateSnapshot,
+  CanLoad,
+  Route,
+  UrlSegment
+} from '@angular/router';
+import {Observable} from 'rxjs';
 import {Session} from './utils/helper.class';
 import {LoginErrorCodes} from './utils/guardHelper.class';
 
 @Injectable()
-export class AdminLoginGuard implements CanActivate, CanLoad {
+export class AdminLoginGuard implements CanActivate{
 
   constructor(private router: Router) {
   }
@@ -22,7 +30,12 @@
       }
     }
     if (!loggedIn || !isAdmin) {
-      this.router.navigate(['/user-info'], {queryParams: {'errorCode': errorCode, 'redirectUrl': path}});
+      this.router.navigate(['/user-info'], {
+        queryParams: {
+          'errorCode': errorCode,
+          'redirectUrl': path
+        }
+      });
     }
     return loggedIn && isAdmin;
   }
@@ -31,7 +44,4 @@
     return this.check(state.url);
   }
 
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    return this.check('/' + route.path);
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/loginGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/loginGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/loginGuard.guard.ts	(revision 55964)
@@ -1,11 +1,19 @@
-import { Injectable } from '@angular/core';
-import {Router, CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, Route, CanLoad} from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Injectable} from '@angular/core';
+import {
+  Router,
+  CanActivate,
+  ActivatedRouteSnapshot,
+  RouterStateSnapshot,
+  Route,
+  CanLoad,
+  UrlSegment
+} from '@angular/router';
+import {Observable} from 'rxjs';
 import {Session} from './utils/helper.class';
 import {LoginErrorCodes} from './utils/guardHelper.class';
 
 @Injectable()
-export class LoginGuard implements CanActivate, CanLoad {
+export class LoginGuard implements CanActivate {
 
   constructor(private router: Router) {
   }
@@ -16,7 +24,12 @@
       loggedIn = true;
     }
     if (!loggedIn) {
-      this.router.navigate(['/user-info'], {queryParams: {'errorCode': LoginErrorCodes.NOT_LOGIN, path}});
+      this.router.navigate(['/user-info'], {
+        queryParams: {
+          'errorCode': LoginErrorCodes.NOT_LOGIN,
+          'redirectUrl': path
+        }
+      });
     }
     return loggedIn;
   }
@@ -24,8 +37,4 @@
   canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | boolean {
     return this.check(state.url);
   }
-
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    return this.check('/' + route.path);
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchDatacite.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchDatacite.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchDatacite.service.ts	(revision 55964)
@@ -1,15 +1,18 @@
+
+import {throwError as observableThrowError, Observable} from 'rxjs';
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import { HttpClient } from '@angular/common/http';
+
+
+
 import{EnvProperties} from '../../../utils/properties/env-properties';
 import { ClaimResult} from  '../claimEntities.class';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class SearchDataciteService {
-  constructor(private http: Http ) {}
+  constructor(private http: HttpClient ) {}
 
   searchDataciteResults (term: string, size : number, page : number, properties:EnvProperties, parse:boolean = false):any {
     //console.info("In search datacite results "+term+ " "+properties.searchDataciteAPIURL);
@@ -17,8 +20,8 @@
     let key = url;
 
     return this.http.get( ( properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                     .map(request => <any> request.json())
-                     .map(request => (parse?this.parse(request.data):request))
+                     //.map(request => <any> request.json())
+                     .pipe(map(request => (parse?this.parse(request['data']):request)))
                       //.catch(this.handleError);
     }
     getDataciteResultByDOI (doi: string, properties:EnvProperties, parse:boolean = false):any {
@@ -26,8 +29,8 @@
       let key = url;
 
       return this.http.get( (properties.useCache)? (properties.cacheUrl+encodeURIComponent(url)): url)
-                       .map(request => <any> request.json())
-                       .map(request => (parse?this.parse(request.data):request))
+                       //.map(request => <any> request.json())
+                       .pipe(map(request => (parse?this.parse(request['data']):request)))
 
                       //  .do(items => console.log("Datacite Results: total results = "+items.meta.total+" doi = "+doi))
 
@@ -39,7 +42,7 @@
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return observableThrowError(error  || 'Server error');
   }
   private extractData(res: Response) {
     if (res.status < 200 || res.status >= 300) {
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchCrossref.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchCrossref.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchCrossref.service.ts	(revision 55964)
@@ -1,13 +1,17 @@
+
+import {throwError as observableThrowError, Observable} from 'rxjs';
 import {Injectable} from '@angular/core';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
+import { HttpClient } from '@angular/common/http';
+
 import { ClaimResult} from  '../claimEntities.class';
+import {map} from "rxjs/operators";
 @Injectable()
 export class SearchCrossrefService {
-  constructor( private http: Http ) {}
+  constructor( private http: HttpClient ) {}
 
 
   searchCrossrefResults (term: string, size : number, page : number, apiUrl:string, parse:boolean = false):any {
@@ -15,8 +19,9 @@
      let key = url;
 
      return this.http.get(url)
-                     .map(request => <any> request.json().message)
-                     .map(request => (parse?this.parse(request.items):request))
+                     //.map(request => <any> request.json().message)
+                     .pipe(map(request => request['message']))
+                     .pipe(map(request => (parse?this.parse(request.items):request)))
                      //.catch(this.handleError);
 
     }
@@ -31,8 +36,9 @@
 
 
        return this.http.get(url)
-                       .map(request => <any> request.json().message)
-                       .map(request => (parse?this.parse(request.items):request))
+                       //.map(request => <any> request.json().message)
+                       .pipe(map(request => request['message']))
+                       .pipe(map(request => (parse?this.parse(request.items):request)))
                        //.catch(this.handleError);
 
       }
@@ -46,8 +52,9 @@
 
 
          return this.http.get(url)
-                         .map(request => <any> request.json().message)
-                         .map(request => (parse?this.parse(request.items):request))
+                         //.map(request => <any> request.json().message)
+                         .pipe(map(request => request['message']))
+                         .pipe(map(request => (parse?this.parse(request.items):request)))
                          //.catch(this.handleError);
 
         }
@@ -56,7 +63,7 @@
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return observableThrowError(error  || 'Server error');
   }
   parse(response):ClaimResult[]{
     var results:ClaimResult[] = [];
